/v1/device/routing/ospfv3/lsdb

Prev Next
Get
/v1/device/routing/ospfv3/lsdb

Get OSPFv3 global LSDB Table

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Query parameters
deviceId
integer (int64) Required

Valid configured device ID > 0

Example1000000
instanceName
string

Valid configured OSPF Instance name

Exampleospf-demo
vrfName
stringRequired

Valid configured VRF name

Examplemanagement
Responses
200

OK

Expand All
object
lsas
Array of object (routingOspflsa)
object
advertisingRouter
string

IP address (required)

Example172.121.12.34
age
integer (int32)

How old is the LSA (required)

Minimum0
Example3242342
asexternalLsa
object (routingOspfasExternalLsa)
forwardingAddress
string
Exampleexample string
metric
integer (int32)
Minimum0
Example123
metricType
string
Exampleexample string
networkMask
integer (int32)
Minimum0
Example123
tag
integer (int32)
Minimum0
Example123
tosMetric
object (routingOspflsaTosMetric)
tos
integer (int32)
Minimum0
Example123
tosMetric
integer (int32)
Minimum0
Example123
checksum
integer (int32)

LSA Checksum (required)

Minimum0
Example2343232
length
integer (int32)

LSA length (required)

Minimum0
Example123132
linkId
string

IP address of link on peer (required)

Example143.12.1.5
networkLsa
object (routingOspfNetworkLsa)
attachedRouters
Array of string
string
Exampleexample string
networkMask
integer (int32)
Minimum0
Example123
routerLsa
object (routingOspfRouterLsa)
links
Array of object (routingOspfRouterLsaLink)
object
linkData
string
Exampleexample string
linkId
string
Exampleexample string
linkType
string
Exampleexample string
metric
integer (int32)
Minimum0
Example123
tosMetric
object (routingOspflsaTosMetric)
tos
integer (int32)
Minimum0
Example123
tosMetric
integer (int32)
Minimum0
Example123
sequenceNumber
string

LSA sequence number (required)

Example0x80000001
summaryLsa
object (routingOspfSummaryLsa)
networkMask
integer (int32)
Minimum0
Example123
tosMetric
object (routingOspflsaTosMetric)
tos
integer (int32)
Minimum0
Example123
tosMetric
integer (int32)
Minimum0
Example123
type
string

Type of LSA (required)

ExampleRouter
pageInfo
object (commonPageInfo)
currentPage
integer (int32)

The page number we are currently on (required)

Minimum0
Example1
endCursor
string

Cursor pointing to the last record on the current page

Examplexxxxxxy
hasNextPage
boolean

An indicator whether there is a page after this one in the resultset based on current position

Exampletrue
hasPrevPage
boolean

An indicator whether there is a page before this one in the resultset based on current position

Exampletrue
startCursor
string

Cursor pointing to the first record on the current page

Examplexxxxxx
totalPages
integer (int32)

The number of pages in the complete resultset based on the current length of the page (required)

Minimum0
Example4
totalRecords
integer (int32)

Describes the total number of records in the complete resultset (required)

Minimum0
Example400
token
string

Reference to the resultset being queried, this should be sent by the service as part of a previous request and so can be opaque to the client.

Examplexxxxxxxxx